Typescript (SDK)
import { Crevio } from "@crevio/sdk";
const crevio = new Crevio({
apiKey: process.env["CREVIO_API_KEY"] ?? "",
});
async function run() {
const result = await crevio.domains.verify({
id: "<id>",
});
console.log(result);
}
run();curl --request POST \
--url https://api.crevio.co/v1/domains/{id}/verify \
--header 'Authorization: <api-key>'import requests
url = "https://api.crevio.co/v1/domains/{id}/verify"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://api.crevio.co/v1/domains/{id}/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "<string>",
"id": "<string>",
"domain": "<string>",
"dns_status": "<string>",
"verified": true,
"managed": true,
"verified_at": "<string>",
"site_id": "<string>",
"cname_target": "<string>",
"dns_records": {},
"verification_errors": [
"<string>"
],
"created_at": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "authentication_required",
"message": "You did not provide an API key."
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "The requested resource was not found"
}
}Domains
Verify a domain
Checks DNS/SSL status with the CDN and advances the domain’s verification state. Safe to call repeatedly (idempotent).
POST
/
domains
/
{id}
/
verify
Typescript (SDK)
import { Crevio } from "@crevio/sdk";
const crevio = new Crevio({
apiKey: process.env["CREVIO_API_KEY"] ?? "",
});
async function run() {
const result = await crevio.domains.verify({
id: "<id>",
});
console.log(result);
}
run();Authorizations
API key in the format: Bearer {api_token}
Path Parameters
The resource ID (e.g., "prod_abc123") or slug (e.g., "my-product")
Response
Current verification state
Available options:
pending, ssl_pending, active, error, null Was this page helpful?
⌘I

